org.eclnt.jsfserver.util

## Interface IPropertyResolverAware2

-     public interface IPropertyResolverAware2

  Extended version of interface `IPropertyResolverAware`.
  When setting values in the "data transfer phase" of a request then values from the user interface are passed into the managed beans via expression ("#{aaa.bbb.ccc}"). While processing these expressions, any object, that is part of the expression (e.g. the "bbb"-object of the expression "#{aaa.bbb.ccc}" is checked if it supports the interface IPropertyResolverAware2 - and the corresponding method is called.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reactOnSetValue(java.lang.String completeExpression, int index, java.lang.Object value)` A "set value" is done directly within the object.
    `void` | `reactOnSetValue(java.lang.String completeExpression, java.lang.String propertyName, java.lang.Object value)` A "set value" is done directly within the object.
    `void` | `reactOnSetValueInSubObject(java.lang.String completeExpression, java.lang.Object value)` A "set value" is done within a sub-object of the current object.

- - ### Method Detail

    - #### reactOnSetValue

          void reactOnSetValue(java.lang.String completeExpression,
                               java.lang.String propertyName,
                               java.lang.Object value)

      A "set value" is done directly within the object. This is the "normal" method that is called when a property is set.

    - #### reactOnSetValue

          void reactOnSetValue(java.lang.String completeExpression,
                               int index,
                               java.lang.Object value)

      A "set value" is done directly within the object. This method is called when an array/list is directly set.

    - #### reactOnSetValueInSubObject

          void reactOnSetValueInSubObject(java.lang.String completeExpression,
                                          java.lang.Object value)

      A "set value" is done within a sub-object of the current object. I.e. if the expression to be set is "#{aaa.bbb.ccc.ddd}" and the object at level "bbb" implements this interface, then it also gets notified when changes are executed on level "ccc".

Copyright © CaptainCasa Gmbh. All Rights Reserved.